<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>swfile</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="font-awesome/css/font-awesome.min.css" />
    <script type="text/javascript" src="js/jquery-1.10.2.min.js"></script>
    <script type="text/javascript" src="bootstrap/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="page-header">
            <h1>SWFILES <small>um gestor simples</small></h1>
        </div>
        <div class="container pb-filemng-template">
            <div class="row">
                <div class="col-md-8 col-md-offset-2">
                    <nav class="navbar navbar-default pb-filemng-navbar">
                        <div class="container-fluid">
                            <div class="navbar-header">
                                <button type="button" class="pull-left navbar-toggle collapsed treeview-toggle-btn"
                                    data-toggle="collapse" data-target="#treeview-toggle" aria-expanded="false">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                </button>

                                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                                    data-target="#options" aria-expanded="false">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="fa fa-gears"></span>
                                </button>
                                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                                    data-target="#pb-filemng-navigation" aria-expanded="false">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="fa fa-share"></span>
                                </button>
                            </div>
                            <ul class="collapse navbar-collapse nav navbar-nav navbar-right" id="options">
                                <li><a href="#"><span class="fa fa-crosshairs fa-lg"></span></a></li>
                                <li><a href="#"><span class="fa fa-ellipsis-v fa-lg"></span></a></li>
                                <li><a href="#"><span class="fa fa-lg fa-server"></span></a></li>
                                <li><a href="#"><span class="fa fa-lg fa-minus"></span></a></li>
                                <li><a href="#"><span class="fa fa-lg fa-window-maximize"></span></a></li>
                                <li><a href="#"><span class="fa fa-lg fa-times"></span></a></li>
                            </ul>
                            <div class="collapse navbar-collapse" id="pb-filemng-navigation">
                                <ul class="nav navbar-nav">
                                    <li><a href="#"><span class="fa fa-chevron-left fa-lg"></span></a></li>
                                    <li><a href="#"><span class="fa fa-chevron-right fa-lg"></span></a></li>
                                    <li class="pb-filemng-active"><a href="#"><span class="fa fa-file fa-lg"></span></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </nav>
                    <div class="panel panel-default">
                        <div class="panel-body pb-filemng-panel-body">
                            <div class="row">
                                <div class="col-sm-3 col-md-4 pb-filemng-template-treeview">
                                    <div class="collapse navbar-collapse" id="treeview-toggle">
                                        <div id="treeview">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-9 col-md-8 pb-filemng-template-body">
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="folder-icon">
                                            <img src="icons/folder.png" alt="Folder Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">DW-2023</p>
                                    </div>

                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="folder-icon">
                                            <img src="icons/folder.png" alt="Folder Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">ASA-2023</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="folder-icon">
                                            <img src="icons/folder.png" alt="Folder Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">SCRIPT</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="folder-icon">
                                            <img src="icons/folder.png" alt="Folder Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">RECEITAS</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="folder-icon">
                                            <img src="icons/folder.png" alt="Folder Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">AULA</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="iso-icon">
                                            <img src="icons/iso-icon.png" alt="ISO Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">TLOZ</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="folder-icon">
                                            <img src="icons/folder.png" alt="Folder Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">GAMES</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="exe-icon">
                                            <img src="icons/exe-icon.png" alt="EXE Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">STEAM-instaler.exe</p>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders">
                                        <div class="app-icon">
                                            <img src="icons/steam-verde.png" alt="app Icon">
                                        </div>
                                        <p class="pb-filemng-paragraphs">STEAM VERDE</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <style>
            .pb-filemng-template {
                margin-top: 40px;
                font-family: 'Sansita', sans-serif;
            }

            .pb-filemng-navbar {
                margin-bottom: 0;
            }

            .treeview-toggle-btn {
                margin-left: 15px;
            }

            .pb-filemng-template-btn {
                background-color: Transparent;
                background-repeat: no-repeat;
                border: none;
                cursor: pointer;
                outline: none;
                color: gray;
                padding: 0px 13px 0px 13px;
            }

            .pb-filemng-active {
                border-bottom: 2px solid #6d97db;
                color: #5f6977;
            }

            .pb-filemng-template-btn:hover {
                color: blue;
            }

            .pb-filemng-body-folders>img:hover {
                cursor: pointer;
            }

            .btn-align {
                margin-top: 7px;
            }

            .pb-filemng-template-treeview {
                border-right: 1px solid gray;
            }

            .pb-filemng-folder {
                color: orange;
                padding-bottom: 3px;
            }

            .pb-filemng-paragraphs {
                margin-top: -20px;
                text-align: center;
            }

            .img-responsive {
                margin: 0 auto;
            }

            @media screen and (max-width: 767px) {

                .pb-filemng-template-treeview {
                    border-right: none;
                }

                #options {
                    text-align: center;
                }

                #options>li {
                    display: inline-block;
                }

                #pb-filemng-navigation>ul {
                    text-align: center;
                }

                #pb-filemng-navigation>ul>li {
                    display: inline-block;
                }

            }
        </style>
        <link rel="stylesheet" type="text/css"
            href="http://www.shieldui.com/shared/components/latest/css/light-bootstrap/all.min.css" />
        <script type="text/javascript"
            src="http://www.shieldui.com/shared/components/latest/js/shieldui-all.min.js"></script>
        <script type="text/javascript" src="./fileManagerData.js"></script>
        <script>
            var folderData = {
                pasta1: {
                    icon: '<img src="icons/folder.png" alt="Ícone Pasta 1">',
                    text: 'pasta vazia'
                },
                pasta2: {
                    icon: '<img src="icons/exe-icon.png" alt="Ícone Pasta 2">',
                    text: ''
                },
            };

            for (var key in folderData) {
                $(".pb-filemng-template-body").append(
                    '<div class=\"col-xs-6 col-sm-6 col-md-3 pb-filemng-body-folders\">' +
                    folderData[key].icon + '<br />' +
                    '<p class="pb-filemng-paragraphs">' + folderData[key].text + '</p>' +
                    '</div>'
                );
            }

            $(function () {
                $("#treeview").shieldTreeView({
                    dataSource: dataSrc
                });
            })
        </script>
    </div>
</body>

</html>